JspWriterDelegate (Grails 3.2.7)
Date: 2017-03-06

Package: org.grails.gsp.jsp

## [Java] Class JspWriterDelegate

- org.grails.gsp.jsp.JspWriterDelegate

- Delegates to another java.io.Writer.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class javax.servlet.jsp.JspWriter` | `NO_BUFFER, DEFAULT_BUFFER, UNBOUNDED_BUFFER`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `clear()`
    `void` | `clearBuffer()`
    `void` | `close()`
    `void` | `flush()`
    `int` | `getRemaining()`
    `void` | `newLine()`
    `void` | `print(boolean b)`
    `void` | `print(char c)`
    `void` | `print(char[] cArray)`
    `void` | `print(double d)`
    `void` | `print(float f)`
    `void` | `print(int i)`
    `void` | `print(long l)`
    `void` | `print(java.lang.Object o)`
    `void` | `print(java.lang.String s)`
    `void` | `println()`
    `void` | `println(boolean b)`
    `void` | `println(char c)`
    `void` | `println(char[] chars)`
    `void` | `println(double d)`
    `void` | `println(float f)`
    `void` | `println(int i)`
    `void` | `println(long l)`
    `void` | `println(java.lang.Object o)`
    `void` | `println(java.lang.String s)`
    `java.lang.String` | `toString()`
    `void` | `write(int c)`
    `void` | `write(char[] cbuf, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class javax.servlet.jsp.JspWriter` | `javax.servlet.jsp.JspWriter#println(char), javax.servlet.jsp.JspWriter#println(int), javax.servlet.jsp.JspWriter#println(long), javax.servlet.jsp.JspWriter#println(boolean), javax.servlet.jsp.JspWriter#println(), javax.servlet.jsp.JspWriter#println(java.lang.Object), javax.servlet.jsp.JspWriter#println(java.lang.String), javax.servlet.jsp.JspWriter#println([C), javax.servlet.jsp.JspWriter#println(double), javax.servlet.jsp.JspWriter#println(float), javax.servlet.jsp.JspWriter#clear(), javax.servlet.jsp.JspWriter#print(long), javax.servlet.jsp.JspWriter#print(int), javax.servlet.jsp.JspWriter#print(char), javax.servlet.jsp.JspWriter#print(boolean), javax.servlet.jsp.JspWriter#print(java.lang.Object), javax.servlet.jsp.JspWriter#print(java.lang.String), javax.servlet.jsp.JspWriter#print([C), javax.servlet.jsp.JspWriter#print(float), javax.servlet.jsp.JspWriter#print(double), javax.servlet.jsp.JspWriter#newLine(), javax.servlet.jsp.JspWriter#flush(), javax.servlet.jsp.JspWriter#close(), javax.servlet.jsp.JspWriter#getRemaining(), javax.servlet.jsp.JspWriter#getBufferSize(), javax.servlet.jsp.JspWriter#clearBuffer(), javax.servlet.jsp.JspWriter#isAutoFlush(), javax.servlet.jsp.JspWriter#append(java.lang.CharSequence, int, int), javax.servlet.jsp.JspWriter#append(char), javax.servlet.jsp.JspWriter#append(java.lang.CharSequence), javax.servlet.jsp.JspWriter#append(char), javax.servlet.jsp.JspWriter#append(java.lang.CharSequence, int, int), javax.servlet.jsp.JspWriter#append(java.lang.CharSequence), javax.servlet.jsp.JspWriter#write([C), javax.servlet.jsp.JspWriter#write([C, int, int), javax.servlet.jsp.JspWriter#write(int), javax.servlet.jsp.JspWriter#write(java.lang.String, int, int), javax.servlet.jsp.JspWriter#write(java.lang.String), javax.servlet.jsp.JspWriter#wait(long, int), javax.servlet.jsp.JspWriter#wait(long), javax.servlet.jsp.JspWriter#wait(), javax.servlet.jsp.JspWriter#equals(java.lang.Object), javax.servlet.jsp.JspWriter#toString(), javax.servlet.jsp.JspWriter#hashCode(), javax.servlet.jsp.JspWriter#getClass(), javax.servlet.jsp.JspWriter#notify(), javax.servlet.jsp.JspWriter#notifyAll()`
    `class java.io.Writer` | `java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long, int), java.io.Writer#wait(long), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override public void clear()

    - #### @java.lang.Override public void clearBuffer()

    - #### @java.lang.Override public void close()

    - #### @java.lang.Override public void flush()

    - #### @java.lang.Override public int getRemaining()

    - #### @java.lang.Override public void newLine()

    - #### @java.lang.Override public void print(boolean b)

    - #### @java.lang.Override public void print(char c)

    - #### @java.lang.Override public void print(char[] cArray)

    - #### @java.lang.Override public void print(double d)

    - #### @java.lang.Override public void print(float f)

    - #### @java.lang.Override public void print(int i)

    - #### @java.lang.Override public void print(long l)

    - #### @java.lang.Override public void print(java.lang.Object o)

    - #### @java.lang.Override public void print(java.lang.String s)

    - #### @java.lang.Override public void println()

    - #### @java.lang.Override public void println(boolean b)

    - #### @java.lang.Override public void println(char c)

    - #### @java.lang.Override public void println(char[] chars)

    - #### @java.lang.Override public void println(double d)

    - #### @java.lang.Override public void println(float f)

    - #### @java.lang.Override public void println(int i)

    - #### @java.lang.Override public void println(long l)

    - #### @java.lang.Override public void println(java.lang.Object o)

    - #### @java.lang.Override public void println(java.lang.String s)

    - #### @java.lang.Override public java.lang.String toString()

    - #### @java.lang.Override public void write(int c)

    - #### @java.lang.Override public void write(char[] cbuf, int off, int len)